Subscribe
Accepted Solution

Unable to load Modules with WFA 3.1P1

Hello everyone,

 

I am working with a test WFA of version 3.1.0.0.0 and a productive WFA of Version 3.1.0.0.1P1.

Both with execution Policy unrestricted.

 

The following Command part does not work for the productive System:

----------------------------

### modules
$ExPo = Get-ExecutionPolicy
Get-WFALogger -Info -message $("Loading modules with execution policy $ExPo")
## Fill template
Import-Module "$ModulePath/fill-template.psm1"

----------------------------

 

The log message is the following:

----------------------------

09:38:24.418 INFO  [<COMMANDSNAME>] ### Command '<COMMANDSNAME>' in 'POWER_SHELL' ###
09:38:31.809 INFO  [<COMMANDSNAME>] Loading modules with execution policy Unrestricted

09:38:32.402 ERROR  [<COMMANDSNAME>] AuthorizationManager check failed.
09:38:32.512 ERROR  [<COMMANDSNAME>] Command failed for Workflow '<WORKFLOWNAME>' with error : AuthorizationManager check failed.
09:38:32.512 INFO  [<COMMANDSNAME>] ***** Workflow Execution Failed *****

----------------------------

 

The strange thing is, that it works on the test WFA without any Problems.

All Used Paths are tested in a previous command (and I placed the modules on both servers (test and productive) in the same place)

 

Has someone any idea how to fix this problem?

 

Regards,

Antimon

 

Re: Unable to load Modules with WFA 3.1P1

Antimon,

 

Where did you get this module fill-template.psm1, is it from some website on the internet? 

 

I suggest you do the following:

 

1. Right-Click on the file and "properties"

2. There will be button "Unblock". Click it.

 

Now try your command.

 

sinhaa

 

 

If this post resolved your issue, help others by selecting ACCEPT AS SOLUTION or adding a KUDO.

Re: Unable to load Modules with WFA 3.1P1

It was written by myself on the test server.

After unblocking it on the productive server everything went fine.

 

Thanks a lot for this solution!

 

Regards,

Paul